library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternSphR

class description - source file - inheritance tree (.pdf)

## class TGeoPatternSphR : public TGeoPatternFinder

| Inheritance Chart:

`TObject`

<-

`TGeoPatternFinder`

<-

`TGeoPatternSphR`

        public:

                            TGeoPatternSphR()
                            TGeoPatternSphR(TGeoVolume* vol, Int_t ndivisions)
                            TGeoPatternSphR(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                            TGeoPatternSphR(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                            TGeoPatternSphR(const TGeoPatternSphR&)
                    virtual ~TGeoPatternSphR()
               virtual void cd(Int_t idiv)
             static TClass* Class()
          virtual TGeoNode* FindNode(Double_t* point)
            virtual TClass* IsA() const
           TGeoPatternSphR& operator=(const TGeoPatternSphR&)
               virtual void SavePrimitive(ofstream& out, Option_t* option)
               virtual void ShowMembers(TMemberInspector& insp, char* parent)
               virtual void Streamer(TBuffer& b)
                       void StreamerNVirtual(TBuffer& b)

### Data Members

## Class Description

TGeoPatternSphR()

     Default constructor

TGeoPatternSphR(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor
     compute step, start, end

TGeoPatternSphR(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternSphR(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternSphR()

     Destructor

TGeoNode* FindNode(Double_t * /*point*/)

     find the node containing the query point

void SavePrimitive(ofstream &out, Option_t * /*option*/)

     Save a primitive as a C++ statement(s) on output stream "out".

### Inline Functions

                        void cd(Int_t idiv)
                     TClass* Class()
                     TClass* IsA() const
                        void ShowMembers(TMemberInspector& insp, char* parent)
                        void Streamer(TBuffer& b)
                        void StreamerNVirtual(TBuffer& b)
             TGeoPatternSphR TGeoPatternSphR(const TGeoPatternSphR&)
            TGeoPatternSphR& operator=(const TGeoPatternSphR&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.12 2005/02/28 20:52:43 brun Exp $